WordPress.org

Ready to get started?Download WordPress

Forums

Gantry Template Framework
[resolved] Header: ...body (16 posts)

  1. cgwenk
    Member
    Posted 6 months ago #

    I am migrating a working gantry site to a new host. In their development area my site keeps breaking due to the gantry framework header code:

    gantry:header/
    <body <gantry:bodytag/>>

    If I deactivate the RokGallery the formatting may OR may not return, so somehow it is connected to the RokGallery. The only possible incompatibility is that the host uses SQLite PDO driver, I am unfamiliar with what this program does to know if it is causing any trouble.

    Does anyone know if there a fix in Gantry for this or do I need a new gallery plugin? or if the SQLite and issue? any help is greatly appreciated.

    http://wordpress.org/plugins/gantry/

  2. gantry
    Member
    Plugin Author

    Posted 6 months ago #

    Hi,

    What version of PHP is using your account and what is the PHP Memory Limit ?

    Thanks,

  3. cgwenk
    Member
    Posted 6 months ago #

    I looked at the panel and see that phpMyAdmin states 4.0.5

    Below I see a warning message: Your PHP MySQL library version 5.1.63 differs from your MySQL server version 5.5.28. This may cause unpredictable behavior.

    Maybe this is the problem...

    Storage is 20GB Local Storage

  4. cgwenk
    Member
    Posted 6 months ago #

    BTW, thank you for getting back to me so quickly. :)

  5. gantry
    Member
    Plugin Author

    Posted 6 months ago #

    Hi,

    No worries :) Sorry but phpMyAdmin is simply a web-interface to manage MySQL databases - it's not PHP itself. I need to know the PHP version if it's 5.2 or 5.3 or 5.4 and Memory Limit that is set in your PHP configuration. If you don't know how to check this, please ask your hosting provider - they should reply to you quickly :)

    Thanks,

  6. cgwenk
    Member
    Posted 6 months ago #

    They are in the process now of updating the library. I can test the site again when that is complete.

    In the meantime, is the storage sufficient? Is there anything else I need to do on my end?

    Again, thanks for your quick response.

  7. cgwenk
    Member
    Posted 6 months ago #

    I missed your last post. They said that php is 5.3.2 and memory is 512mb.

  8. gantry
    Member
    Plugin Author

    Posted 6 months ago #

    Hi,

    Allright, these two parameters are fine. So this means that your hosting doesn't meet the RokGallery requirements, but you've wrote that they're updating the libraries right now, right ?

    Thanks,

  9. cgwenk
    Member
    Posted 6 months ago #

    I am still showing the same error posted above:

    Your PHP MySQL library version 5.1.63 differs from your MySQL server version 5.5.28. This may cause unpredictable behavior.

    The only other incompatibility is the SQLite PDO driver.

    What else should I be looking at/for?

    It is strange because sometimes the site is fine and sometimes it glitches.

  10. cgwenk
    Member
    Posted 6 months ago #

    Hello Gantry, I will try to summarize the outstanding issues and what I have found. My goal beyond fixing this issue is understanding if I need to seek alternate hosting.

    FORMAT CRASHING:

    I found a host help desk rep that believes he sourced the issue to their object caching default. He disabled object caching on the site and it successfully passed me trying to recreate issues that broke it in the past. Does that sound like a permanent solution to you?

    MINIMUM REQUIREMENTS:

    Host does not support SQLite.

    Host has mysql, xml, and zlib, but tech was not able to identify them as written on GANTRY website: mod_mysql, mod_xml, mod_zlib.

    Are either of these issues a reason for me to find alternative hosting?

    PHP LIBRARY

    This is still inconsistent with server PHP and showing warning.

    Is this a concern for the function of Gantry or simply a precautionary disclaimer?

    Thank you for helping me understand beyond just the fix.

  11. cgwenk
    Member
    Posted 6 months ago #

    I googled the mod_mysql, mod_xml, and mod_zlib to see what they were and then checked myself with the host specs. They are not included with the other apache modules.

    I do not know what these modules support in the framework to know how they affect my site.

    I like this host, but do you recommend that I change?

  12. gantry
    Member
    Plugin Author

    Posted 6 months ago #

    Hi,

    It all depends what you want to use. RokGallery plugin that you've mentioned has different requirements then Gantry itself.

    Here are the requirements of Gantry :

    http://www.gantry-framework.org/documentation/wordpress/basics/system_requirements.md

    And RokGallery requires :

    * PHP support for the SQLite PDO driver
    * PHP support for the MySQL PDO driver
    * MySQL with InnoDB support
    * PHP support for PDO
    * PHP support for GD2
    * PHP 5.2.8 and above

    Sorry but there's nothing we can do about these requirements. These are supported by almost all good hosting providers (and if not they should add the missing bits to your account configuration) so if your's doesn't I'd recommend finding a better replacement. Sorry.

    Thanks!

  13. cgwenk
    Member
    Posted 6 months ago #

    First, thank you for your attention to my level of knowledge. I appreciate your patience.

    While you were giving your reply, here is what I got from the host:

    I communicated with some of my colleagues and they stated that Gantry will work with us, and that they've seen it up and running before.
    Did you receive an error when you attempted to use this. The mod_ stuff isn't installed on our server, but we have it set up a different way.

    Mysql, xml, and zlib are all functional on our platform.

    In your experience, are there workable alternatives to Apache mods. This host offers so many perks in the way of security, speed and a one-click staging area. I am hopeful that I can trust what he says, but I have many hours invested already and am concerned about future glitches... I know that having it set up the way you have listed is ideal. Is it possible that alternates will work? I don't know enough about this level of software communication to be comfortable with what he is saying because I don't know what it is. After the object caching issue was fixed, my test site does work... but again, the future and updates are a concern.

    Just trying to make sure I understand before taking additional time to start over with another host. I hope this makes sense.

  14. gantry
    Member
    Plugin Author

    Posted 6 months ago #

    Hi,

    So your site is working fine at this point ?

    Thanks,

  15. cgwenk
    Member
    Posted 6 months ago #

    It appears to be working. We are testing new plug-ins in the production area before taking it live. They said they have run Gantry sites successfully on their servers.

    But because I don't understand if there are acceptable alternatives to Apache modules, my concern is that things could change with Gantry updates. I was curious so I asked my current host and it turns out they don't have these modules attached to Apache either. They said they attach them to PHP. So it all just leaves me unsettled because it is something I don't understand and no one seems to answer.

    We like the Gantry platform.

  16. gantry
    Member
    Plugin Author

    Posted 6 months ago #

    Hi,

    Well just like I said - Gantry requirements are basicaly standard and all hosts should meet them - there's nothing 'funky' about them so you should be fine here.

    RokGallery however is a different thing - it's more complicated in the way it's working with database and that's why it requires some modules that couple hosting companies might not support/have implemented. I'm sorry but we can't do anything about it.

    All of these requirements are going to stay like that so I'd say that if all is working fine right now you should be allright, otherwise you might need to find different host if you want to use the RokGallery.

    Sorry I couldn't help more.

    Thanks!

Reply

You must log in to post.

About this Plugin

About this Topic